.user-account-menu {
    @extend .context-menu;

    .trigger {
        height: auto;

        &:after {
            content: none;
        }

        &.trigger--rectangle {
            border-radius: 0;
            display: flex;
            justify-content: center;
            align-items: center;
        }
    }

    .container {
        bottom: calc(50% - 2.5rem);
    }

    .menu {
        right: calc(50% - 4rem);
        margin-bottom: 1.2rem;
    }

    .sections {
        display: flex;
        flex-flow: row nowrap;
    }

    .account-section {
        width: 28rem;
        padding: 2.4rem;
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;

        .account-section__profile {
            display: flex;
            flex-direction: column;
            flex-wrap: nowrap;
            justify-content: center;
            flex-grow: 1;
            padding: 3.6rem 0;
        }

        .account-section__title {
            @include font-size-header-2;

            font-family: $font-primary-medium;
            margin-bottom: 1.2rem;
        }

        .account-section__icon {
            text-align: center;
        }

        .account-section__name {
            font-family: $font-primary-medium;
            text-align: center;
            margin-top: 1.2rem;

            @extend .truncate;
        }

        .account-section__buttons {
            > .btn {
                width: 100%;
                margin-top: 1.2rem;
            }
        }
    }

    .other-section {
        @extend .account-section;

        border-right: 1px solid $color-border;
    }
}
